# Copyright © 2015, 2022 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or any later version.
# This is free software: you are free to change and redistribute it.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=8

inherit autotools

DESCRIPTION="Tools for recording and playing back PS/2 devices on Linux"
HOMEPAGE="https://github.com/Lyude/ps2emu"
SRC_URI="https://github.com/Lyude/ps2emu/archive/v$PV.tar.gz -> $P.tar.gz"

LICENSE="GPL-2+"
SLOT="0"
KEYWORDS="~amd64"

RDEPEND="dev-libs/glib:2"
DEPEND=$RDEPEND
BEPEND="virtual/pkgconfig"

src_prepare() {
	cp "$FILESDIR/userio.h" ps2emu-kmod/

	default
	eautoreconf
}
